StarWriterStruct::Macro Struct Reference

structure to store a macro in a text zone More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions

| Macro ()
| constructor
bool | read (StarZone &zone)
| try to read a macro: 'm'

## Static Public Member Functions

static bool | readList (StarZone &zone, std::vector< Macro > &macroLis)
| try to read a list of macro: 'M'

## Public Attributes

int | m_key
| the key
librevenge::RVNGString | m_names [2]
| the names
int | m_scriptType
| the scriptType

## Friends

std::ostream & | operator<< (std::ostream &o, Macro const &macro)
| operator<<

## Detailed Description

structure to store a macro in a text zone

## Constructor & Destructor Documentation

## Macro()

StarWriterStruct::Macro::Macro | ( |  | ) |

inline

constructor

Referenced by operator<<, and readList().

## Member Function Documentation

## read()

bool StarWriterStruct::Macro::read | ( | StarZone & | zone | ) |

try to read a macro: 'm'

Referenced by readList().

## readList()

bool StarWriterStruct::Macro::readList | ( | StarZone & | zone,
|  | std::vector< Macro > & | macroLis )

static

try to read a list of macro: 'M'

Referenced by StarObjectText::readWriterDocument().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Macro const & | macro )

friend

operator<<

## Member Data Documentation

## m_key

int StarWriterStruct::Macro::m_key

the key

Referenced by Macro(), operator<<, and read().

## m_names

librevenge::RVNGString StarWriterStruct::Macro::m_names[2]

the names

Referenced by operator<<, and read().

## m_scriptType

int StarWriterStruct::Macro::m_scriptType

the scriptType

Referenced by Macro(), operator<<, and read().

The documentation for this struct was generated from the following files:

- StarWriterStruct.hxx
- StarWriterStruct.cxx